# norootforbuild
%define pkg_name    inotify
%define pkg_version 0.1.6
%define php_version %(php-config --version 2>/dev/null)
#
Name:		php5-inotify
Version:	%{pkg_version}
Release:	2.13
#
License:	PHP
Group:		Productivity/Networking/Web/Servers
#
BuildRoot:	%{_tmppath}/%{pkg_name}-%{version}-build
BuildRequires:	php5-devel gcc gcc-c++
Requires:	php5 = %{php_version}
#
URL:		http://pecl.php.net/
Source:		http://pecl.php.net/package/%{pkg_name}/%{pkg_name}-%{version}.tgz
Patch0:		inotify-%{version}.patch
Summary:	The inotify extension allows to use inotify functions in a PHP script

%description
The inotify extension allows to use inotify functions in a PHP script.
Authors:
---------

	 	Arnaud Le Blanc

%debug_package

%prep
%setup -n %{pkg_name}-%{version}
%patch0

%{__mkdir} %{name}

%build
/usr/bin/phpize
pushd %{name}

CFLAGS="%{optflags} -fno-strict-aliasing"
CXXFLAGS="%{optflags} -fno-strict-aliasing"
%if 0%{?suse_version} > 1000
CFLAGS="$CFLAGS -fstack-protector"
CXXFLAGS="$CXXFLAGS -fstack-protector"
%endif

export CFLAGS
export CXXFLAGS

../configure --with-inotify=%{_usr} --with-libdir=%{_lib}

%{__make} %{?jobs:-j%jobs}
popd

%install
%makeinstall -C %{name} INSTALL_ROOT=%{buildroot}
%{__mkdir} -p %{buildroot}%{_sysconfdir}/php5/conf.d
echo "; comment out next line to disable inotify extension in php" > %{buildroot}%{_sysconfdir}/php5/conf.d/inotify.ini
echo "extension = inotify.so" >> %{buildroot}%{_sysconfdir}/php5/conf.d/inotify.ini


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/php5/extensions/inotify.so
%config(noreplace) %{_sysconfdir}/php5/conf.d/inotify.ini

%doc CREDITS

%changelog
* Sun Feb 17 2013 Carsten Schoene <cs@linux-administrator.com> - 0.1.6-1
- update to release 0.1.6
* Wed Dec 30 2009 Carsten Schoene <cs@linux-administrator.com> - 0.1.4-1
- initial build version 0.1.4
